.aside-container {
  display: block;
  height: 100%;
  width: 70px;
  min-width: 0px;
  max-width: 100%;
  background-color: var(--background-secondary);
  border-right: 1px solid darkgray;
  transition: .5s linear;

  &--expand {
    min-width: 200px;
    width: 200px;
  }

  &__nav {
    height: 100%;

    .side-nav {
      flex-direction: column;
      position: sticky;
      list-style: none;
      display: flex;
      padding: 0;
      margin: 0;
      top: 0;

      &__item {
        height: 50px;
        margin: 10px;
        overflow: hidden;
        border-radius: 3px;
        cursor: pointer;

        .link {
          box-sizing: border-box;
          color: white;
          background-color: var(--primary-default);
          height: 100%;
          display: block;
          line-height: 50px;
          text-decoration: none;
          padding-left: 13px;

          .icon, .text-content {
            vertical-align: middle;
            margin-right: 15px;
          }

          &:hover, &.active {
            border-bottom: 5px solid var(--primary-dark);
          }
        }

        &--bottom {
          width: 50px;
          position: fixed !important;
          bottom: 0 !important;
          transition: .5s linear;
          
          .link {
            background-color: transparent;
            color: var(--font-color-primary);

            &:hover {
              border: none;
            }
          }

          &--expand {
            width: 180px;
          }
        }
      }
    }
  }
}

@media only screen and (max-width: 768px) {
  .aside-container {
    &__nav {
      .side-nav {
        position: static !important;
      }
    }
  }
}

@media only screen and (max-width: 414px) {
  .aside-container {
    width: 50px;

    .link {
      font-size: .8rem;
      padding-left: 8px !important;
    }

    .icon {
      font-size: 1rem;
    }

    &__nav {
      .side-nav {
        &__item {
          &--bottom {
            width: 30px;

            &--expand {
              width: 180px;
            }
          }
        }
      }
    }
  }
}